Impostare inoltro attivo
Mette in pausa o riprende una regola di inoltro cliente.
curl --request PATCH \
--url https://api.hybridbox.io/v1/public/accounts/{account_id}/forwarding/{forwarding_id}/active \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"active": true
}'import requests
url = "https://api.hybridbox.io/v1/public/accounts/{account_id}/forwarding/{forwarding_id}/active"
payload = { "active": True }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({active: true})
};
fetch('https://api.hybridbox.io/v1/public/accounts/{account_id}/forwarding/{forwarding_id}/active', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"active": true,
"created_at": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope_type": "account",
"target_email": "<string>",
"updated_at": "<string>",
"verification_required": true,
"verification_state": "internal",
"verification_expires_at": "<string>",
"verification_sent_at": "<string>",
"verification_verified_at": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Autorizzazioni
Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.
Corpo
Richiesta per mettere in pausa o riprendere l’inoltro.
Se l'inoltro deve essere attivo
Risposta
Se l'inoltro è attivo
Timestamp di creazione della regola di forwarding
Regola di inoltro UUID
Risorsa UUID per l'ambito dell'inoltro
Tipo di ambito della risorsa per la regola di forwarding
account, workspace, domain Indirizzo email di destinazione dell'inoltro
Timestamp dell'ultimo aggiornamento della regola di forwarding
Se è richiesta la verifica del destinatario
Stato di verifica del destinatario
internal, pending, verified, expired Timestamp di scadenza della verifica
Timestamp dell'email di verifica inviata
Timestamp di completamento della verifica
Questa pagina è stata utile?
